#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 13:49
# @File        : app.py
# @Description :
"""

from application import create_app


def runserver():
    """
    This function creates a new instance of the Flask application and runs it.
    """

    # Create a new instance of the Flask application
    app = create_app()

    # Run the Flask development server
    # The run() method starts the application's development server.
    # It's not meant to be used on production environment.
    app.run(debug=True)


if __name__ == '__main__':
    # Only run the development server if the script is executed directly.
    # This allows other scripts to import this file without starting the server.
    runserver()
