#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 12:36
# @File        : init_marshmallow.py
# @Description :
"""

from flask import Flask

from flask_marshmallow import Marshmallow

ma = Marshmallow()


def init_marshmallow(app: Flask) -> None:
    """
    Initialize the database extension

    :param app: flask.Flask application instance
    :return: None
    """
    ma.init_app(app)
