# elp

## ES 日志服务的优化
### 技术选取
#### 已实现
- [x] Dynaconf 读取配置
  - 读取配置优先级：consul > 本地 yaml 文件
- [x] Bcrypt 数据库加密
  - flask_bcrypt 数据密码加密
- [x] Logger 日志自定义
  - flask 结合 loguru 自定义 flask_logger 插件，实现 json 日志输出
- [x] Marshmallow 参数校验
  - flask_marshmallow 进行接口入参出参校验
- [x] Migrate 数据迁移
  - flask_migrate 数据迁移
- [x] SQLAlchemy
  - flask_sqlAlchemy ORM 框架
- [x] flask-cli
  - flask-cli
- [x] Elasticsearch
  - flask_elasticsearch

#### 待实现
- [x] Apispec
  - flask_Apispec 接口文档实现
- [x] Celery
  - Celery 异步定时
- [x] PGSQL
  - PGSQL 月份分表
- [x] Consul 注册和服务发现
- [x] JWT(项目不需要)
